const state = {
	num: 0
}

const mutations = {
	increment(state, mutation) {
		state.num += parseInt(mutation.payload)
	}
}

const actions = {
	async asyncIncrement({
		commit
	}, count) {
		console.log(count)
		commit({
			type: 'increment',
			payload: count
		})
	}
}

const getters = {

}

export default {
	state,
	mutations,
	actions,
	getters
}
